# ==============================================================================
#    ui - custom tools dealing with Houdini's ui -similar to those in hou.ui
#  ----------------------------------------------------------------------------
# ver 0.1.0
# dowloaded from eyevex.com
# dan@dansportfolio.com
#
# ---------------------------- known issues -----------------------------------
#
# 
# ==============================================================================

import hou

def paneTabsOfType(pane_tab_type=hou.paneTabType.NetworkEditor):
  
	'''Returns all pane tabs of specified paneTabType enumeration'''
	
	all_pane_tabs = hou.ui.paneTabs()
	all_panes_of_type = [x for x in all_pane_tabs if x.type()==pane_tab_type]
	all_panes_of_type = tuple(all_panes_of_type)
	
	return all_panes_of_type

	
def currentPaneTabsOfType(pane_tab_type=hou.paneTabType.NetworkEditor):

	'''Returns current pane tabs of specified paneTabType enumeration'''

	all_panes_of_type = paneTabsOfType(pane_tab_type)
	current_panes_tabs_of_type = [x for x in all_panes_of_type if x.isCurrentTab()==True]
	current_panes_tabs_of_type = tuple(current_panes_tabs_of_type)
	
	return current_panes_tabs_of_type